Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • Feb 04 2020 16:57
    @goanpeca banned @tolgayilmaz
Kyle Altendorf
@altendky
@erinbaq I don't know about spyder specifically but pyinstaller is a common way to turn 'a python program' into 'a program'.
Kyle Altendorf
@altendky
spyder-ide/qtpy#226 i am generally interested in helping get qtpy moving in terms of qt6 and mypy and py39 support, etc. there are PRs for all of these, though i haven't personally reviewed them. i understand there can be any number of things taking people's time, but is there some path forward on these points? i have a decent history contributing to python open source projects and i don't have to have a personal need for the direct bits i help with. if money would help, maybe there could be some of that. or, maybe there just isn't a path presently.
7 replies
camardanic
@camardanic
the variable explorer panel is hidden on my pc.
How do I make it reappear?
1 reply
Laura Mariano
@laura.j.mariano_gitlab
Hello! Just installed the latest version of Spyder (4.2.1) with the standalone installer. The optional pandas>=1.1.1 dependency is not installed by default when installing with the standalone installer, so I am getting an error when I try to open a pandas data frame from the variable explorer (Spyder was unable to retrieve the value of this variable from the console.). I installed using the MacOS standalone installer (Catalina OS), and didn't see an option anywhere in the installation process that allowed me to install pandas. Any advice on how I can get this working?
2 replies
Anatoly Kravchenko
@a-kravchenko_gitlab
Hi there. Does anybody know how to add gitlab library into spider?
Kedar Dhamankar
@zorgo_black_twitter
how to install mysql connector for spyder???
Ghost
@ghost~5ffc30b7d73408ce4ff88303
hi I am trying to import tkinter code but I cannot here is the error I get: import _tkinter # If this fails your Python may not be configured for Tk. I tryed to update app and ad tkinter in introspection but still same error. What can I do?
4 replies
Brian Toby
@briantoby
I have been working with the 5.0.0dev version and noticed some problems: 1) View & Help do not appear in menu (on Mac); 2) sphinx docs are not showing up for my project (works great in Spyder4); debugging with wxpython apps hangs in GUI startup. Should I open tickets? I am happy to work on debugging, but need some guidance on where to look.
2 replies
Amina912
@Amina912
Hi there, I am new to tensorflow. I know that I should have a -64 bit- python version. I was have a -32 bit- one. so, I installed the new version.. but I cannot update it to anaconda and spyder. they still read the old python version. I changed the python path in the preferences in spyder but it gives me error that say: Error while finding module specification for 'spyder_kernels.console' (ModuleNotFoundError: No module named 'spyder_kernels'). so, any one can help me??
1 reply
lsw417
@lsw417
hi i May I have a question here?
lsw417
@lsw417
  1. I think there is a problem with main focus while working with run selection in spyder.
    -For one editor, the main focus editor option works fine.
    -In the case of two editors using a new window, there is a fatal problem with focus on the console after run selection.

  2. If you open the same "test.py" in the new window and enlarge the editor, the main editor and the new window editor will be enlarged at the same time. Each of these enlargement and reduction functions should be applied.

weiwuzu
@weiwuzu
Hi.when I choose "go to definition" while the definition about the module,parameter in the other self_defined code document,it fails. How could I solve it?
VolticZz
@froyston_afonso_twitter
hi there, is there a 32 bit of the latest version?
stcmeh
@stcmeh
Hi - I'm finding that Spyder 4.1.5 is hanging for about 10-15 seconds on start-up. It's just before the window pops up saying 4.20 is available - so maybe it's something to do with Spyder calling the mothership to see if there's a new version and there's a delay in the answer.
Anyone else seeing this?
I've cleared PYTHONPATH so there are no user-generated Spyder modules loading
I have tried spyder --reset
msaenzo
@msaenzo
Hi! I experienced some issues last year, trying to launch Spyder after updating to big sur. I actually had to downgrade to Catalina OS to get it to work. Any chance this might be fixed by now?
1 reply
Fokatu
@Fokatu
is it possible to use spyder console in some other pyqt programs?
1 reply
Wyatt Newhall
@wyattnewhall
Hi! So despite my best efforts, spyder wouldn't update or install for some reason from my anaconda navigator (if anyone knows how to fix this, the subsequent problem is irrelevant), so I decided to download a standalone version of spyder 4.2.1 from the spyder website. I connected it to the anaconda interpreter, but now my iPython kernel is stuck saying "restarting kernel..." Cannot run any ipython code. Any suggestions?
Wyatt Newhall
@wyattnewhall
Eh, never found what broke it, but I just wiped my anaconda environment and downgraded spyder and it works now
1 reply
valentinayustym014
@valentinayustym014
Hello I am having problems with installing pandas bc for some reason it isnt installed yet
Hronic
@Hronic
Hey guys,
is it correct that Spyder IDE does not support Tkinter?
Spyder shows me error with compilation, but if I open python code (I run it) outside of Spyder, everything works.
1 reply
EBJ
@YoSoyEBJ_twitter
guys
can i update my spyder 4.2.0 to 4.2.1 by using anaconda, if i installed it by using pip?
5 replies
Hoang Phuong Le
@lhp1995_twitter
hi i am moving from pycharm to spyder, do I need to install Python to use Spyder?
moreover, i am installing standalone Spyder (not through Anaconda), so how can I install package like tensorflow, keras?
3 replies
thank you all in advance
coolmik89
@coolmik89
hello, i've installed the recent spyder 4.2.1 via gui. I have a conda env that i'm trying to get spyder to use but it keeps rejecting it. I go into preferences, and change the interpreter from "default" to "use the following python interpreter: " my conda env even shows up in the dropdown, but whenever i choose it and click apply or OK, it says "Invalid file path"
I know it's a valid working conda env, how do i get spyder to recognize it?
it gives me the same error whether i use the drop down, or i use the gui file explorer to point it to the conda env python.exe
1 reply
Eric Donald
@EricDonald_twitter
I installed standalone Spyder because Anaconda wasn't working very well (endless buffering on updates, wouldn't open spyder, etc). With the standalone version, how do I install modules such as Pandas and Numpy?
2 replies
cobbcristian
@cobbcristian
I was able to verify that I downloaded torch correctly by using the Anaconda prompt. I am using Python 3.7.9. When I tried to import torch in Spyder it says module is not found.
1 reply
alanzinober
@alanzinober
I installed Spyder 4.2.0 and after running a program, it stops and reruns the program, and reruns the program endlessly. What must I do to stop this? Mac OS Big Sur.
GabrielNegus
@GabrielNegus
could you please tell me how to import packages like prettytable or others into spyder directlu without pip install in cmd?#
1 reply
Michael Furey
@Wild_Tiger99_twitter
Newbie, how do I get my kernel to connect?? Having issues. Using Anaconda Navigator, Spyder for IDE...Mac user. Thx!!
Hoang Phuong Le
@lhp1995_twitter
hi, i had created virtual enviroment thought terminal under the following command python3.8 -venv MachineLearning. then i install spyder-kernels on the venv by source MachineLearning/bin/activate. After that I tried to change the interpreter on Spyder but somehow it only connect to Python3.8.7 not the virtual enviroment where I had a lot of packages installed.
1 reply
help
TaisukeIto
@taisuke-ito
Spyder Freezes randomly when editing code.
Juanita Gomez
@juanis2112
Hi everyone! I'm Juanita one of Spyder Developer's and also the community manager. We have been working on a Community Survey to get input from our users on several UX/UI aspects of Spyder. Here is the link https://t.co/JcJwEQRV0x?amp=1 for you to participate and help us make Spyder better :)
dinosg
@dinosg
hello - I'm trying to figure out how to get Spyder to include the filename, path & date in a header when you print a file from the Editor... super-duper helpful if this would be possible
(Matlab does this and I take it for granted, otherwise you don't really know what you're looking at later on when you have the printed output)
TaisukeIto
@taisuke-ito
I often found that "spyder" was unstable and didn't start, but it seems that Spyder's instability is related to the Python version, the Tensorflow version, and the Spyder version. I have come to understand that. When I created a conda environment with python3.7 and installed Tensorflow-gpu = 1.15, spyder did not start. (Translated by Google Translate)
Spyder version or Anaconda version
Ovidio C Molina
@QuixioteMx_twitter
Hi. I'm new to spyder an Python. I already installed python 3.9 and spyder 4.2.1 I was trying to test some sample scripts that come with the python instalation using spyder and got the following msg
1 reply

File "C:\Users\Ovidio.spyder-py3\temp.py", line 26, in <module>
from tkinter import *

File "C:\Program Files\Spyder\pkgs\tkinter__init__.py", line 36, in <module>
import _tkinter # If this fails your Python may not be configured for Tk

ImportError: DLL load failed: No se puede encontrar el módulo especificado.

the same script runs fine in native python's idle
shih candy
@shihcandy1_twitter
hi,tks.
shih candy
@shihcandy1_twitter
Hi, I have bought a Python book and paid for it, but the CD-ROM is currently useless for users because most Taiwanese students will scan the bar code and use the line to transfer back to the computer and your version Not provided, so that I wasted time on programming.. I did not learn well.. Please re-change in the book...Thank you.. Thank you for your painstaking efforts..
flea2037
@flea2037
hi,ı just downloaded spyder but my pc says: “Spyder” cannot be opened because the developer cannot be verified.
how can ı overcome this problem?
shih candy
@shihcandy1_twitter
ok.I try again and return.